Package org.apache.ignite.mxbean

## Interface QueryMXBean

-     @Deprecated
      public interface QueryMXBean

  Deprecated.
  Use managements API beans, instead.
  Query MXBean interface.
  See Also:
    `CommandMBean`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cancelContinuous​(String originNodeId, String routineId)` | Deprecated. Kills continuous query by the identifier.
    `void` | `cancelScan​(String originNodeId, String cacheName, Long id)` | Deprecated. Kills scan query by the identifiers.
    `void` | `cancelSQL​(String id)` | Deprecated. Kills SQL query by the identifier.

- - ### Method Detail

    - #### cancelContinuous

          @MXBeanDescription("Kills continuous query by the identifier.")
          void cancelContinuous​(@MXBeanParameter(name="originNodeId",description="Originating node ID.")
                                String originNodeId,
                                @MXBeanParameter(name="routineId",description="Continuous query id.")
                                String routineId)

      Deprecated.
      Kills continuous query by the identifier.
      Parameters:
        `routineId` - Continuous query id.
        `originNodeId` - ID of the node that is CQ initiator.
      See Also:
        `ContinuousQueryView.routineId()`

    - #### cancelSQL

          @MXBeanDescription("Kills SQL query by the identifier.")
          void cancelSQL​(@MXBeanParameter(name="id",description="SQL query id.")
                         String id)

      Deprecated.
      Kills SQL query by the identifier.
      Parameters:
        `id` - SQL query id.
      See Also:
        `SqlQueryView.queryId()`

    - #### cancelScan

          @MXBeanDescription("Kills scan query by the identifiers.")
          void cancelScan​(@MXBeanParameter(name="originNodeId",description="Originating node ID.")
                          String originNodeId,
                          @MXBeanParameter(name="cacheName",description="Cache name.")
                          String cacheName,
                          @MXBeanParameter(name="id",description="Scan query id.")
                          Long id)

      Deprecated.
      Kills scan query by the identifiers.
      Parameters:
        `originNodeId` - Originating node id.
        `cacheName` - Cache name.
        `id` - Scan query id.
      See Also:
        `ScanQueryView.originNodeId()`, `ScanQueryView.cacheName()`, `ScanQueryView.queryId()`